io.undertow.server.handlers.resource

## Class DirectoryUtils.Blobs

- java.lang.Object
- - io.undertow.server.handlers.resource.DirectoryUtils.Blobs

Enclosing class:
  DirectoryUtils

    public static class DirectoryUtils.Blobs
    extends Object

Constant Content

Author:
  Jason T. Greene

### Field Summary

Fields
`static String` `FILE_CSS`
`static ByteBuffer` `FILE_CSS_BUFFER`
`static String` `FILE_CSS_ETAG`
`static String` `FILE_CSS_ETAG_QUOTED`
`static String` `FILE_JS`
`static ByteBuffer` `FILE_JS_BUFFER`
`static String` `FILE_JS_ETAG`
`static String` `FILE_JS_ETAG_QUOTED`

### Constructor Summary

Constructors
Constructor and Description
`Blobs()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FILE_JS

    public static final String FILE_JS

See Also:
  Constant Field Values

#### FILE_JS_ETAG

    public static final String FILE_JS_ETAG

#### FILE_JS_ETAG_QUOTED

    public static final String FILE_JS_ETAG_QUOTED

#### FILE_CSS

    public static final String FILE_CSS

See Also:
  Constant Field Values

#### FILE_CSS_ETAG

    public static final String FILE_CSS_ETAG

#### FILE_CSS_ETAG_QUOTED

    public static final String FILE_CSS_ETAG_QUOTED

#### FILE_CSS_BUFFER

    public static final ByteBuffer FILE_CSS_BUFFER

#### FILE_JS_BUFFER

    public static final ByteBuffer FILE_JS_BUFFER

### Constructor Detail

#### Blobs

    public Blobs()